
#include <WFX/io/FileOutputStream.h>

using namespace WFX;
using namespace WFX::io;
using namespace WFX::lang;
using namespace std;

FileOutputStream::FileOutputStream(const File& f, ios_base::openmode m) {
    ofstream* out = new ofstream(f.toString().data(), m);
    setStream(out);
    OFStream = out;
}

FileOutputStream::~FileOutputStream() {
    OFStream->close();
}


